# Collator::getAttribute

# collator_get_attribute

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Collator::getAttribute -- collator_get_attribute — Get collation attribute value

### Description

Object oriented style

public Collator::getAttribute ( int `$attr` ) : int

Procedural style

collator_get_attribute ( Collator `$coll` , int `$attr` ) : int

Get a value of an integer collator attribute.

### Parameters

`coll`

  Collator object.

`attr`

  Attribute to get value for.

### Return Values

Attribute value, or boolean `FALSE` on error.

### Examples

Example #1 collator_get_attribute() example

`<?php
$coll = collator_create( 'en_CA' );
$val = collator_get_attribute( $coll, Collator::NUMERIC_COLLATION );
if( $val === false )
{
// Handle error.
}
?>`

### See Also

- Collator constants
- collator_set_attribute() - Set collation attribute
- collator_get_strength() - Get current collation strength